# MovieClipUser(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MovieClipUser`(bpy_struct)

  Parameters defining how a MovieClip data-block is used by another data-block

  `frame_current`

    Current frame number in movie or image sequence

    Type: | int in [-300000, 300000], default 0

  `proxy_render_size`

    Draw preview using full resolution or different proxy resolutions

    Type: | enum in [‘PROXY_25’, ‘PROXY_50’, ‘PROXY_75’, ‘PROXY_100’, ‘FULL’], default ‘FULL’

  `use_render_undistorted`

    Render preview using undistorted proxy

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BackgroundImage.clip_user` `SpaceClipEditor.clip_user` | `UILayout.template_marker` `UILayout.template_movieclip_information`